%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%   Auxiliary function in Monte Carlo simulations for section A.7.1 of "Bootstrap Inference in Partially Identified Models: Coverage of the Identified Set"
%   by Federico A. Bugni
%   Submitted to Econometrica
%
%   Simulations for Design 2 and N = 1000
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% This function computes the asymptotic approximation criterion function;
function [Qn_value] = Qn_function_MYAA(Zdata,data,tn,OPTIONS)

% compute relevant parameters;
Ehat = mean(data);
theta = max(Ehat(1)-tn,Ehat(2)-tn);

% compute the value of the function at the maximum;
Qn_value = ( max(Zdata(1),0)*(Ehat(1) - theta >= -tn) + max(Zdata(2),0)*(Ehat(2) - theta >= -tn) );