%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%   Monte Carlo simulations for section A.7.1 of "Bootstrap Inference in Partially Identified Models: Coverage of the Identified Set"
%   by Federico A. Bugni
%   Submitted to Econometrica
%
%   This program runs the simulations for designs 1 and 2 (with both N=100 and N=1000) and produces the tables in the paper.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear;

% Run the Monte Carlo simulations for design 1 and N=100;
cd design1/N100;
master;
cd ..; cd ..;

% Run the Monte Carlos for design 1 and N=1000;
cd design1/N1000;
master;
cd ..; cd ..;

% Run the Monte Carlo simulations for design 2 and N=100;
cd design2/N100;
master;
cd ..; cd ..;

% Run the Monte Carlos for design 2 and N=1000;
cd design2/N1000;
master;
cd ..; cd ..;

% Produce the two tables in the paper and save them
do_tables