%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%   Auxiliary function in Monte Carlo simulations for section A.7.2 of "Bootstrap Inference in Partially Identified Models: Coverage of the Identified Set"
%   by Federico A. Bugni
%   Submitted to Econometrica
%
%   Simulations for Design 1
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Description: This function computes the objetive function to maximize in order to compute the TRUE criterion function.
function mQn_value = Qn_eval_true(theta,data);

mtheta=zeros(size(data,1),6);
mtheta(:,1)= normcdf([1,0]*theta)*[data(:,7)==1];
mtheta(:,2)= normcdf([1,0]*theta)*[data(:,7)==1];
mtheta(:,3)= normcdf([0,1]*theta)*[data(:,7)==2];
mtheta(:,4)= normcdf([0,1]*theta)*[data(:,7)==2];
mtheta(:,5)= normcdf([1,1]*theta)*[data(:,7)==3];
mtheta(:,6)= normcdf([1,1]*theta)*[data(:,7)==3];

Qn_value =  sqrt(size(data,1)) * (...
    max( mean( data(:,1) - mtheta(:,1)),0 ) + ...
    max( mean(-data(:,2) + mtheta(:,2)),0 ) + ...
    max( mean( data(:,3) - mtheta(:,3)),0 ) + ...
    max( mean(-data(:,4) + mtheta(:,4)),0 ) + ...
    max( mean( data(:,5) - mtheta(:,5)),0 ) + ...
    max( mean(-data(:,6) + mtheta(:,6)),0 ) );

% we minimize, instead of maximize;
mQn_value = - Qn_value;